Skip to main content

Signicat Mint API

Download OpenAPI specification:Download

  • Base URL: https://api.signicat.com/mint/
  • Documentation: See the Mint developer documentation.
  • Support: Create a support ticket in the Signicat Dashboard.

Introduction

Signicat's Mint API allows you to manage and edit your Mint workflows programmatically, facilitating automation and integration with other systems.

This API reference lists all available endpoints and provides information to interact with them. If you wish to learn more about the no-code platform Mint, visit the Signicat Mint documentation.

This REST API uses the OAuth 2.0 protocol for authorisation. All request and response bodies are formatted in JSON.

Get started

1. Connect to this API

Before you can start making requests to this API, you need to learn how to connect to it. To do this, see the Connect to Signicat APIs Quick start guide. To connect to the Mint API you need to configure the correct permissions for you API client. This is an advanced operation and is described in detail below.

2. Grant permissions

To give the right permissions and grant access to your API client in the Signicat Dashboard, do this:

  1. Go to Access Management > Permissions.
  2. Search for the name of the API client you created above. On the same row, click Edit to edit its access rights.
  3. Click Add next to 'Roles', in the Principal settings menu on the right.
  4. In the empty Role field at the bottom, click Select to add a new permission.
  5. Search and select Flow Editor and Flow Viewer from the 'All available' roles tab.

You are now ready to start sending requests to the Mint API.

Using this API

Audit logs

Use the Signicat Audit logs service to see documented evidence of the sequence of activities that have affected a system.

  • Access it: Signicat Dashboard > Settings > Audit logs
  • For information generic to all Signicat audit logs, see the general Audit logs documentation.

Errors

When you make an API call to Signicat and an error occurs, you will receive a response message with an error code.

  • For errors generic to all Signicat APIs, see the general Error codes documentation.

Events (callback)

Use the Signicat Events service to automatically receive information about when something happens in one of our services into your system.

Note: This is often referred to as callback.

  • Access it: Go to Signicat Dashboard > Settings > Events
  • For information generic to all Signicat events, see the general Events documentation.

Workflows

List workflows

Returns a list of your workflows.

query Parameters
sort
string <= 50 characters

Supported fields: name, createdAt, description

search
string <= 100 characters

Search term that filters workflows by matching against name, description and tags.

version
string
Enum: "latest" "published"

Filter workflows by version type. Defaults to latest.

id
Array of strings <= 100 items

Filter workflows by a list of IDs.

offset
integer or string <int32> [ 0 .. 2147483647 ] ^-?(?:0|[1-9]\d*)$

The offset of the first item to return.

limit
integer or string <int32> [ 1 .. 100 ] ^-?(?:0|[1-9]\d*)$

The maximum number of items to return per page. Defaults to 10.

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "offset": 0,
  • "limit": 0,
  • "totalCount": 0
}

Create workflow

Creates a new workflow.

Request Body schema: application/json
required
name
required
string [ 0 .. 255 ] characters

The workflow name.

description
null or string [ 0 .. 5000 ] characters

The workflow description.

required
Array of objects (WorkflowStep) <= 250 items

List of steps that define the workflow.

Array of objects or null (WorkflowStepConnection)

List of connections between workflow steps.

variables
null or object

Custom variables that can be used within a workflow.

tags
Array of strings or null

List of workflow tags.

Array of objects or null (WorkflowInputParameter)

List of allowed input parameters for the workflow.

Responses

Request samples

Content type
application/json
{
  • "name": "string",
  • "description": null,
  • "steps": [
    ],
  • "connections": null,
  • "variables": null,
  • "tags": null,
  • "inputParameters": null
}

Response samples

Content type
application/json
{
  • "id": "string",
  • "name": null,
  • "description": null,
  • "version": 0,
  • "isLatest": true,
  • "isPublished": true,
  • "createdAt": null,
  • "steps": [
    ],
  • "connections": [
    ],
  • "variables": null,
  • "tags": [
    ],
  • "domain": null,
  • "workflowUrl": null,
  • "inputParameters": [
    ],
  • "files": [
    ]
}

Retrieve workflow

Retrieves a workflow.

path Parameters
workflowId
required
string

The workflow ID.

query Parameters
version
integer or string <int32> ^-?(?:0|[1-9]\d*)$

The version number of the workflow. If not specified, the latest version is returned.

Responses

Response samples

Content type
application/json
{
  • "id": "string",
  • "name": null,
  • "description": null,
  • "version": 0,
  • "isLatest": true,
  • "isPublished": true,
  • "createdAt": null,
  • "steps": [
    ],
  • "connections": [
    ],
  • "variables": null,
  • "tags": [
    ],
  • "domain": null,
  • "workflowUrl": null,
  • "inputParameters": [
    ],
  • "files": [
    ]
}

Update workflow

Updates a workflow.

path Parameters
workflowId
required
string

The workflow ID.

Request Body schema: application/json
required
name
required
string [ 0 .. 255 ] characters

The workflow name.

description
null or string [ 0 .. 5000 ] characters

The workflow description.

required
Array of objects (WorkflowStep) <= 250 items

List of steps that define the workflow.

Array of objects or null (WorkflowStepConnection)

List of connections between workflow steps.

variables
null or object

Custom variables that can be used within a workflow.

tags
Array of strings or null

List of workflow tags.

Array of objects or null (WorkflowInputParameter)

List of allowed input parameters for the workflow.

Responses

Request samples

Content type
application/json
{
  • "name": "string",
  • "description": null,
  • "steps": [
    ],
  • "connections": null,
  • "variables": null,
  • "tags": null,
  • "inputParameters": null
}

Response samples

Content type
application/json
{
  • "id": "string",
  • "name": null,
  • "description": null,
  • "version": 0,
  • "isLatest": true,
  • "isPublished": true,
  • "createdAt": null,
  • "steps": [
    ],
  • "connections": [
    ],
  • "variables": null,
  • "tags": [
    ],
  • "domain": null,
  • "workflowUrl": null,
  • "inputParameters": [
    ],
  • "files": [
    ]
}

Delete workflow

Deletes a workflow and all associated journeys.

path Parameters
workflowId
required
string

The workflow ID.

Responses

Start journey

Starts a new journey from the specified workflow.

path Parameters
workflowId
required
string

The workflow ID.

Request Body schema: application/json
required
input
null or object

The journey input.

journeyUrlTtl
null or integer or string <int32> [ 1 .. 604800 ] ^-?(?:0|[1-9]\d*)$

The time-to-live for the workflow URL in seconds. Defaults to 60 seconds.

Responses

Request samples

Content type
application/json
{
  • "input": null,
  • "journeyUrlTtl": null
}

Response samples

Content type
application/json
{
  • "journeyId": "string",
  • "stepId": null,
  • "journeyUrl": "string"
}

Publish workflow

Publishes a workflow.

path Parameters
workflowId
required
string

The workflow ID.

Responses

Unpublish workflow

Unpublishes a workflow.

path Parameters
workflowId
required
string

The workflow ID.

Responses

List workflow versions

Returns a list of versions for a workflow.

path Parameters
workflowId
required
string

The workflow ID.

query Parameters
offset
integer or string <int32> [ 0 .. 2147483647 ] ^-?(?:0|[1-9]\d*)$

The offset of the first item to return.

limit
integer or string <int32> [ 1 .. 100 ] ^-?(?:0|[1-9]\d*)$

The maximum number of items to return per page. Defaults to 10.

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "offset": 0,
  • "limit": 0,
  • "totalCount": 0
}

Download workflow file

Downloads a workflow file.

path Parameters
workflowId
required
string

The workflow ID

fileId
required
string

The file ID

Responses

Delete workflow file

Deletes a workflow file.

path Parameters
workflowId
required
string

The workflow ID.

fileId
required
string

The file ID.

Responses

Upload workflow file

Uploads a file to a workflow using multipart/form-data.

path Parameters
workflowId
required
string

The workflow ID.

Responses

Response samples

Content type
application/json
{
  • "id": "string",
  • "filename": "string",
  • "contentType": "string",
  • "size": null
}

Journeys

List journeys

Returns a list of your journeys.

query Parameters
sort
string <= 50 characters

Supported fields: createdAt, lastExecutedAt, finishedAt

status
string
Enum: "idle" "running" "finished" "active" "faulted" "cancelled"

Filter journeys by status.

workflowId
string

Filter journeys by workflow ID.

lastExecutedAfter
any <date-time>

Filter journeys that were last executed after this date.

lastExecutedBefore
any <date-time>

Filter journeys that were last executed before this date.

search
string <= 100 characters

Search term that filters journeys by matching against name and id.

offset
integer or string <int32> [ 0 .. 2147483647 ] ^-?(?:0|[1-9]\d*)$

The offset of the first item to return.

limit
integer or string <int32> [ 1 .. 100 ] ^-?(?:0|[1-9]\d*)$

The maximum number of items to return per page. Defaults to 10.

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "offset": 0,
  • "limit": 0,
  • "totalCount": 0
}

Retrieve journey

Retrieves a journey.

path Parameters
journeyId
required
string

The journey ID.

Responses

Response samples

Content type
application/json
{
  • "id": "string",
  • "workflowId": "string",
  • "version": 0,
  • "status": "idle",
  • "name": null,
  • "createdAt": null,
  • "lastExecutedAt": null,
  • "finishedAt": null,
  • "faultedAt": null,
  • "cancelledAt": null,
  • "stepData": { },
  • "loops": {
    },
  • "activeSteps": [
    ],
  • "alerts": [
    ],
  • "files": [
    ]
}

Delete journey

Deletes a journey.

path Parameters
journeyId
required
string

The journey ID.

Responses

Cancel journey

Cancels a journey.

path Parameters
journeyId
required
string

The journey ID.

Responses

Resume journey

Resumes an active journey from a step requiring manual continuation.

path Parameters
journeyId
required
string

The journey ID.

Request Body schema: application/json
required
input
null or object

The journey input.

stepId
required
string [ 0 .. 50 ] characters

The target step ID.

Responses

Request samples

Content type
application/json
{
  • "input": null,
  • "stepId": "string"
}

Approve or reject journey

Approves or rejects a journey pending approval.

path Parameters
journeyId
required
string

The journey ID.

Request Body schema: application/json
required
required
object (ApproveJourneyRequestInput)

The journey input.

stepId
required
string <= 50 characters

The target step ID.

Responses

Request samples

Content type
application/json
{
  • "input": {
    },
  • "stepId": "string"
}

Create journey URL

Creates a time-limited URL that provides access to a journey.

path Parameters
journeyId
required
string

The journey ID.

Request Body schema: application/json
required
timeToLive
null or integer or string <int32> [ 0 .. 2592000 ] ^-?(?:0|[1-9]\d*)$
Default: 60

Number of seconds until the journey URL expires. Defaults to 60 seconds.

Responses

Request samples

Content type
application/json
{
  • "timeToLive": 60
}

Response samples

Content type
application/json
{
  • "journeyUrl": "string"
}

Retrieve journey execution log

Retrieves the execution log for a journey.

path Parameters
journeyId
required
string

The journey ID.

Responses

Response samples

Content type
application/json
{
  • "steps": [
    ],
  • "stepsFinished": 0,
  • "stepsFaulted": 0
}

Download journey file

Downloads a journey file.

path Parameters
journeyId
required
string

The journey ID.

fileId
required
string

The file ID.

Responses

Download all journey files

Downloads all journey files as a zip file.

path Parameters
journeyId
required
string

The journey ID.

Responses

Notes

Create journey note

Create journey note.

path Parameters
journeyId
required
string

The journey ID.

Request Body schema: application/json
required
stepId
null or string [ 0 .. 50 ] characters

ID of the step this note belongs to.

content
required
string [ 0 .. 1000 ] characters

Text content of the note.

Responses

Request samples

Content type
application/json
{
  • "stepId": null,
  • "content": "string"
}

Response samples

Content type
application/json
{
  • "id": "string",
  • "stepId": null,
  • "content": "string",
  • "createdAt": null,
  • "createdBy": "string",
  • "updatedAt": null
}

List journey notes

Returns a list of your journey notes.

path Parameters
journeyId
required
string

The journey ID.

query Parameters
sort
string <= 50 characters

Supported fields: createdAt, updatedAt

createdAfter
any <date-time>

Filter journey notes that were created after this date.

createdBefore
any <date-time>

Filter journey notes that were created before this date.

search
string <= 100 characters

Search term that filters journeys by matching against content and createdBy.

offset
integer or string <int32> [ 0 .. 2147483647 ] ^-?(?:0|[1-9]\d*)$

The offset of the first item to return.

limit
integer or string <int32> [ 1 .. 100 ] ^-?(?:0|[1-9]\d*)$

The maximum number of items to return per page. Defaults to 10.

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "offset": 0,
  • "limit": 0,
  • "totalCount": 0
}

Update journey note

Update journey note content.

path Parameters
journeyId
required
string

The journey ID.

noteId
required
string

The note ID.

Request Body schema: application/json
required
content
required
string [ 0 .. 1000 ] characters

Text content of the note.

Responses

Request samples

Content type
application/json
{
  • "content": "string"
}

Response samples

Content type
application/json
{
  • "id": "string",
  • "stepId": null,
  • "content": "string",
  • "createdAt": null,
  • "createdBy": "string",
  • "updatedAt": null
}

Delete journey note

Deletes a journey note.

path Parameters
journeyId
required
string

The journey ID.

noteId
required
string

The note ID.

Responses

Step Definitions

List step definitions

Returns a list of all step definitions.

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Retrieve step definition schemas

Retrieves the JSON schemas for a step definition.

path Parameters
stepType
required
string

The step type.

Responses

Response samples

Content type
application/json
{
  • "inputJsonSchema": null,
  • "outputJsonSchema": null
}

Workflow Secrets

List workflow secrets

Returns a list of your workflow secrets.

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Create workflow secret

Creates a new workflow secret.

Request Body schema: application/json
required
name
required
string [ 1 .. 50 ] characters

The name of the secret

description
null or string [ 0 .. 100 ] characters

The description of the secret.

value
required
string [ 0 .. 4000 ] characters

The secret value.

Responses

Request samples

Content type
application/json
{
  • "name": "string",
  • "description": null,
  • "value": "string"
}

Response samples

Content type
application/json
{
  • "id": "string",
  • "name": "string",
  • "description": null,
  • "createdAt": null,
  • "updatedAt": null
}

Retrieve workflow secret

Retrieves a workflow secret.

path Parameters
secretId
required
string

The workflow secret ID.

Responses

Response samples

Content type
application/json
{
  • "id": "string",
  • "name": "string",
  • "description": null,
  • "createdAt": null,
  • "updatedAt": null
}

Update workflow secret

Updates the workflow secret.

path Parameters
secretId
required
string

The workflow secret ID.

Request Body schema: application/json
required
name
null or string [ 1 .. 50 ] characters

The name of the secret

description
null or string [ 0 .. 100 ] characters

The description of the secret.

value
null or string [ 0 .. 4000 ] characters

The secret value.

Responses

Request samples

Content type
application/json
{
  • "name": null,
  • "description": null,
  • "value": null
}

Response samples

Content type
application/json
{
  • "id": "string",
  • "name": "string",
  • "description": null,
  • "createdAt": null,
  • "updatedAt": null
}

Delete workflow secret

Deletes a workflow secret.

path Parameters
secretId
required
string

The workflow secret ID.

Responses